librime: rime::EntryCollector Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
rime::EntryCollector Class Reference

`#include <entry_collector.h>`

Inheritance diagram for rime::EntryCollector:
[legend]
Collaboration diagram for rime::EntryCollector:
[legend]

## Public Member Functions
| EntryCollector ()
| EntryCollector (Syllabary &&fixed_syllabary)
virtual | ~EntryCollector ()
void | Configure (DictSettings *settings)
void | Collect (const vector< path > &dict_files)
void | Dump (const path &file_path) const
void | CreateEntry (const string &word, const string &code_str, const string &weight_str)
bool | TranslateWord (const string &word, vector< string > *code)
Public Member Functions inherited from rime::PhraseCollector
| PhraseCollector ()=default
virtual | ~PhraseCollector ()=default

## Public Attributes
Syllabary | syllabary
bool | build_syllabary = true
vector< of< RawDictEntry > > | entries
size_t | num_entries = 0
ReverseLookupTable | stems

## Protected Member Functions
void | LoadPresetVocabulary (DictSettings *settings)
void | Collect (const path &dict_file)
void | Finish ()

## Protected Attributes
the< PresetVocabulary > | preset_vocabulary
the< Encoder > | encoder
EncodeQueue | encode_queue
set< string > | collection
WordMap | words
WeightMap | total_weight

## Constructor & Destructor Documentation

## ◆ EntryCollector() [1/2]

rime::EntryCollector::EntryCollector | ( |  | ) |

## ◆ EntryCollector() [2/2]

rime::EntryCollector::EntryCollector | ( | Syllabary && | fixed_syllabary | ) |
| explicit

## ◆ ~EntryCollector()

rime::EntryCollector::~EntryCollector | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ Collect() [1/2]

void rime::EntryCollector::Collect | ( | const path & | dict_file | ) |
| protected

## ◆ Collect() [2/2]

void rime::EntryCollector::Collect | ( | const vector< path > & | dict_files | ) |

## ◆ Configure()

void rime::EntryCollector::Configure | ( | DictSettings * | settings | ) |

## ◆ CreateEntry()

void rime::EntryCollector::CreateEntry | ( | const string & | word,
|  | const string & | code_str,
|  | const string & | weight_str )
| virtual

Implements rime::PhraseCollector.

## ◆ Dump()

void rime::EntryCollector::Dump | ( | const path & | file_path | ) | const

## ◆ Finish()

void rime::EntryCollector::Finish | ( |  | ) |
| protected

## ◆ LoadPresetVocabulary()

void rime::EntryCollector::LoadPresetVocabulary | ( | DictSettings * | settings | ) |
| protected

## ◆ TranslateWord()

bool rime::EntryCollector::TranslateWord | ( | const string & | word,
|  | vector< string > * | code )
| virtual

Implements rime::PhraseCollector.

## Member Data Documentation

## ◆ build_syllabary

bool rime::EntryCollector::build_syllabary = true

## ◆ collection

set<string > rime::EntryCollector::collection
| protected

## ◆ encode_queue

EncodeQueue rime::EntryCollector::encode_queue
| protected

## ◆ encoder

the<Encoder> rime::EntryCollector::encoder
| protected

## ◆ entries

vector<of<RawDictEntry> > rime::EntryCollector::entries

## ◆ num_entries

size_t rime::EntryCollector::num_entries = 0

## ◆ preset_vocabulary

the<PresetVocabulary> rime::EntryCollector::preset_vocabulary
| protected

## ◆ stems

ReverseLookupTable rime::EntryCollector::stems

## ◆ syllabary

Syllabary rime::EntryCollector::syllabary

## ◆ total_weight

WeightMap rime::EntryCollector::total_weight
| protected

## ◆ words

WordMap rime::EntryCollector::words
| protected

The documentation for this class was generated from the following files:

- entry_collector.h
- entry_collector.cc